Commit f936f220 authored by Rob Latham's avatar Rob Latham
Browse files

Werror is a little too aggressive

newer compilers are finding stuff to warn about. We're tracking cci-master for the features, not to develop it, so we don't need Werror.
parent 1d54b834
From 4a1483cf04b5d4eefd2fa6387c922b2edc76695b Mon Sep 17 00:00:00 2001
From: Rob Latham <robl@mcs.anl.gov>
Date: Thu, 7 Sep 2017 15:00:08 -0500
Subject: [PATCH] Werror is a little aggressive
---
configure.ac | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/configure.ac b/configure.ac
index a4a22fad..69a15179 100644
--- a/configure.ac
+++ b/configure.ac
@@ -117,10 +117,10 @@ AS_IF([test "$PE_ENV" = "PGI"],
[cflags="-fast -Msmartalloc -Mnobuiltin $DEBUG_FLAGS"])
AS_IF([test "$PE_ENV" = "GNU"],
AC_SUBST([CC],["gcc"])
- [cflags="-O3 -pthread -fno-builtin -Wall -Werror $DEBUG_FLAGS"])
+ [cflags="-O3 -pthread -fno-builtin -Wall $DEBUG_FLAGS"])
AS_IF([test "$PE_ENV" = "INTEL"],
AC_SUBST([CC],["icc"])
- [cflags="-O3 -pthread -fno-builtin -Wall -Werror $DEBUG_FLAGS"])
+ [cflags="-O3 -pthread -fno-builtin -Wall $DEBUG_FLAGS"])
# Cray compiler is not ready yet; needs libtool support
#AS_IF([test "$PE_ENV" = "CRAY"],
--
2.14.1
......@@ -41,12 +41,16 @@ class Cci(AutotoolsPackage):
depends_on('automake', type='build', when='@master');
depends_on('libtool', type='build', when='@master');
patch('0001-Werror-is-a-little-aggressive.patch');
version('master', git='https://github.com/CCI/cci.git')
version('2.0', '070b2ba4eca92a846c093f2cd000d3b2')
def configure_args(self):
# TODO: need variants for verbs and ugni
args = ['--without-gni',
'--without-verbs']
'--without-verbs',
'--disable-picky'
]
return args
# need to override 'autoreconf' so we can run CCI's 'autogen.pl' script
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment